Update organisation
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/organisations/{organisationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"organisation": {
"name": "Acmefy Inc."
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}"
payload = { "organisation": { "name": "Acmefy Inc." } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organisation: {name: 'Acmefy Inc.'}})
};
fetch('https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organisation": {
"id": "mgk7g",
"name": "docs@example.com personal organisation",
"aclSubject": "0vzog",
"aclObject": "gkqmy",
"emailAddress": "docs@example.com",
"links": {
"self": "/v1/organisations/mgk7g",
"users": "/v1/organisations/mgk7g/users",
"teams": "/v1/organisations/mgk7g/teams",
"subscription": "/v1/subscriptions/qmr8z",
"invitations": "/v1/organisations/mgk7g/invitations",
"aclSubject": "/v1/acl/subjects/0vzog",
"aclObject": "/v1/acl/objects/gkqmy",
"acl": "/v1/organisations/mgk7g/acl{?subjectId}"
}
}
}{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}Organisations
Update organisation
PUT
/
v1
/
organisations
/
{organisationId}
Update organisation
⌘I